#
# spec file for package perl-HTML-Embperl (Version 2.0b5)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache-devel apache-devel-packages libxml2 libxml2-devel libxslt libxslt-devel mod_perl mysql-client perl-Apache-Session perl-Apache-SessionX perl-DBI perl-Digest-MD5 perl-MIME-Base64 perl-MLDBM perl-Msql-Mysql-modules perl-Storable perl-Time-HiRes perl-URI perl-libwww-perl
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim apache apache-devel autoconf automake binutils cracklib expat gcc gdbm gettext libtool libxml2 libxml2-devel libxslt libxslt-devel libz mm mod_perl mod_ssl mysql-client openssl pam perl perl-Apache-Session perl-Apache-SessionX perl-DBI perl-Digest-MD5 perl-MIME-Base64 perl-MLDBM perl-Msql-Mysql-modules perl-Storable perl-Time-HiRes perl-URI perl-libwww-perl rpm

Name:         perl-HTML-Embperl
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    GPL 
Group:        Development/Languages/Perl
Provides:     HTML-Embperl
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-URI perl-Storable perl-DBI perl-Digest-MD5 perl-MIME-Base64
Conflicts:    perlmod
Autoreqprov:  on
Version:      2.0b5
Release:      226
Source:       HTML-Embperl-%{version}.tar.gz
Summary:      HTML::Embperl - Embed Perl in Your HTML Documents
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Embperl gives you the power to embed Perl code in your HTML documents
and the ability to build your Web site out of small reusable objects in
an object-oriented style. You can also take advantage of all the
usual Perl modules, (including DBI for database access) use their
functionality and easily include their output in your web pages.

Authors:
--------
    G. Richter <richter@dev.ecos.de>

SuSE series: perl

%prep 
%setup -n HTML-Embperl-%{version}

%build
perl Makefile.PL /usr/include/apache
make 
	

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | \
        sed "s@$RPM_BUILD_ROOT@@g" > \
		$RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/HTML/Embperl/
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist.tmp
mv .packlist.tmp .packlist	

%clean

%files
%defattr(-, root, root)
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%doc MANIFEST NEWS.pod README README.v2 TODO Changes.pod eg
%doc %{perl_sitearch}/HTML/Embperl.pod
%{perl_sitearch}/HTML/Embperl/*
/usr/bin/embpexec.pl
/var/adm/perl-modules/%{name}

%changelog -n perl-HTML-Embperl
* Mon Feb 04 2002 - sf@suse.de
- initial version 2.0b5
